Subject: [ippm] Reordering Def in draft-ietf-ippm-reporting-05

From: Al Morton <[email-masked]>
Date: Thu, 07 Oct 2010 15:53:46 -0400

Matt,

You asked that I take a look at:

4.5.  Reordering

Reordering is the fraction of unique packets received for
which the
sequence number of any given packet is less than the highest
sequence
number largest sequence number of any packet previously
received.

^^^^^^^^^^^^^^^^^^^^^^^

I think you identified this redundant text during the meeting,
right?

For the
purposes of determining the sequence number of the preceding
packets in this definition, assume sequence numbers starting
with 1,
and an extra packet at the start of the stream of received
packets,
with a sequence number of 0, is considered to be present
(this extra
packet, of course, is not counted for the purposes of
computing the
fraction).

I think your word definition is pretty close, but there should be an

explicit designation of a reordered packet, IMO.  Also, the
"unique" aspect

is a fairly subtle way to exclude any duplicate packet from being
reordered.

We could explain this fairly easily.

I suggest:

4.5. Reordering

|  Reordering is the fraction of unique packets received for which
the sequence

|  number of a packet designated "reordered" is less than
the highest sequence

|  number of any packet previously received, and the
"unique" aspect excludes

|  any Duplicate packets (as described in section 4.4 above).

For the purposes of determining the sequence number of the
preceding

packets in this definition, assume sequence numbers starting
with 1,

and an extra packet at the start of the stream of received
packets,

with a sequence number of 0, is considered to be present
(this extra

packet, of course, is not counted for the purposes of
computing the

fraction).

hope this helps,

Al

---

From: Anura Jayasumana <[email-masked]>
Date: Thu, 07 Oct 2010 14:26:33 -0600

Additional information in this topic can be found in  RFC5236 
(http://www.faqs.org/rfcs/rfc5236.html)
as well as at   
http://www.cnrl.colostate.edu/Projects/PacketReordering/packetreordering.html#Publications

I think 5236 provides a cleaner way to handle this.
-- 
Anura P. Jayasumana <http://www.engr.colostate.edu/%7Eanura>
Professor, Electrical & Computer Engineering
                            and Computer Science
Department of Electrical and Computer Engineering
Colorado State University
Fort Collins, CO 80523
Phone: (970) 491-7855

On 10/7/2010 1:53 PM, Al Morton wrote:
>>       * 4.5.  Reordering*
> I think you identified this redundant text during the meeting, right?
>
>>     For the
> explicit designation of a reordered packet, IMO.  Also, the "unique" 
> aspect
> |  Reordering is the fraction of unique packets received for which the 
> sequence
> |  number of a packet designated "reordered" is less than the highest 
> sequence
> |  number of any packet previously received, and the "unique" aspect 
> excludes
>    For the purposes of determining the sequence number of the preceding
>    packets in this definition, assume sequence numbers starting with 1,
>    and an extra packet at the start of the stream of received packets,
>    with a sequence number of 0, is considered to be present (this extra
>    packet, of course, is not counted for the purposes of computing the
>    fraction).
>
> hope this helps,
> Al
>
>
> _______________________________________________
> ippm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ippm

---

From: Al Morton <[email-masked]>
Date: Fri, 08 Oct 2010 08:06:28 -0400

>Additional information in this topic can be found in  RFC5236
             ^^^^^^^^^^^
Since we are doing IETF Standards Track development here, Anura,
an informational publication of alternative ideas is not appropriate.

Al

---

From: Anura Jayasumana <[email-masked]>
Date: Mon, 11 Oct 2010 06:56:10 -0600

I was just  pointing to  more accurate  and  useful ways of defining and 
characterizing reordering  (---  RFC 5236  and
some peer reviewed literature that  thoroughly compare the pros and cons 
of different metrics for reordering
at   
http://www.cnrl.colostate.edu/Projects/PacketReordering/packetreordering.html#Publications 
-- -).

There is no suggestion that  5236 be used in the  development nor  do I 
have any interest in  getting anything   to the "standard track".. 
The fact that  people have voluntarily  used RD and its subsequent 
derivatives in their work speaks for itself.

However, I do find the statement "alternative ideas  ..  not 
appropriate" quite amusing -  irrespective of  their source.

Wish you good luck in your Standard Track development   - irrespective 
of what ideas you  wish to include and exclude.

Best!

Al Morton wrote:
>>> |  number of a packet designated "reordered" is less than the 
>>> highest sequence